org.apache.cassandra.db

## Class UnknownColumnFamilyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.cassandra.db.UnknownColumnFamilyException

- All Implemented Interfaces:
    java.io.Serializable

      public class UnknownColumnFamilyException
      extends java.io.IOException

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.UUID` | `cfId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnknownColumnFamilyException(java.lang.String msg, java.util.UUID cfId)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cfId

          public final java.util.UUID cfId

  - ### Constructor Detail

    - #### UnknownColumnFamilyException

          public UnknownColumnFamilyException(java.lang.String msg,
                                              java.util.UUID cfId)

Copyright © 2018 The Apache Software Foundation